<template>
    <q-card class="my-card">
      <q-responsive :ratio="4/3">
        <q-img
            :src="videoSource"
            @click="toggleFullscreen"
            alt="Responsive Feed"
            title="click once to toggle fullscreen"
        ></q-img>
      </q-responsive>
    </q-card>
    <q-dialog v-model="isFullscreen" maximized>
      <q-card style="width: 100%;" v-close-popup>
        <q-card-section>
          <div class="text-h6">Video</div>
        </q-card-section>
        <q-card-section class="q-pt-none">
            <q-responsive :ratio="4/3">
              <q-img
                  :src="videoSource"
                  alt="Responsive Feed"
              ></q-img>
            </q-responsive>
        </q-card-section>

        <q-card-actions align="right">
          <q-btn flat label="Schliessen" color="primary" v-close-popup />
        </q-card-actions>
      </q-card>
    </q-dialog>
</template>

<script setup lang="ts">
import { ref } from 'vue';

const isFullscreen = ref(false);
const videoSource = ref('/video');

const toggleFullscreen = () => {
  isFullscreen.value = !isFullscreen.value;
  return isFullscreen.value;
};
</script>

<style lang="scss" scoped>
.my-card {
  width: 100%;
  min-width: 200px;
  max-width: 600px;
}
</style>
